<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_17</title>
</head>
<body>
    <h1>Capitulo 17</h1>
    <a>Ejercicio 9</a>

    <script>

        const kEsimoNumPrim = (number) => {

            let rem;
            let num="";

            while (number>0) {

                rem = number % 4;
            
                switch (rem) {
 
                    case 1:
                        num+='2';
                        break;
 
                    case 2:
                        num+='3';
                        break;
 
                    case 3:
                        num+='5';
                        break;

                    case 0:
                        num+='7';
                        break;
                }
 
                if (number % 4 == 0) {
                    number--;
                }
 
                number = parseInt(number / 4, 10);
            }

            let st = num.split('');
            st.reverse();
            return (st.join(""));
        }
     
        let num = 21;
        console.log(`El k-ésimo numero de ${num} es: ${kEsimoNumPrim(num)}`);

    </script>
    
</body>
</html>